Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452458 - Review Request: perl-Crypt-GeneratePassword - Generate secure random pronounceable passwords
Summary: Review Request: perl-Crypt-GeneratePassword - Generate secure random pronounc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 466879 (view as bug list)
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2008-06-23 04:05 UTC by Nigel Jones
Modified: 2014-08-27 10:17 UTC (History)
3 users (show)

Fixed In Version: 0.03-12.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-27 19:34:47 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nigel Jones 2008-06-23 04:05:19 UTC
Spec URL: http://dev.nigelj.com/SRPMS/perl-Crypt-GeneratePassword.spec
SRPM URL: http://dev.nigelj.com/SRPMS/perl-Crypt-GeneratePassword-0.03-12.fc9.src.rpm
Description: 
Crypt::GeneratePassword generates random passwords that are (more or less)
pronounceable. Unlike Crypt::RandPasswd, it doesn't use the FIPS-181 NIST
standard, which is proven to be insecure. It does use a similar interface,
so it should be a drop-in replacement in most cases.

NOTE: This was bumped to -12 in order to be > -11 in the Spacewalk repos

Comment 1 Parag AN(पराग) 2008-06-23 04:39:30 UTC
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=675955

+ rpmlint is silent for SRPM But NOT for RPM.
perl-Crypt-GeneratePassword.noarch: W: file-not-utf8
/usr/share/doc/perl-Crypt-GeneratePassword-0.03/README
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
==> You can use iconv to fix this.

+ source files match upstream url
65a9e924ba7496ebd13b70d863d8ae1b  Crypt-GeneratePassword-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test is ok.
+ Package perl-Crypt-GeneratePassword-0.03-12.fc10 =>
Provides: perl(Crypt::GeneratePassword) = 0.03
Requires: perl(:MODULE_COMPAT_5.10.0) perl(Exporter) perl(strict) perl(vars)

SHOULD:
   * Use iconv to fix rpmlint warning before importing this package to CVS.

APPROVED.

Comment 2 Nigel Jones 2008-06-23 05:18:14 UTC
(In reply to comment #1)
> + rpmlint is silent for SRPM But NOT for RPM.
> perl-Crypt-GeneratePassword.noarch: W: file-not-utf8
> /usr/share/doc/perl-Crypt-GeneratePassword-0.03/README
> The character encoding of this file is not UTF-8.  Consider converting it
> in the specfile for example using iconv(1).
> ==> You can use iconv to fix this.
Will do.
> APPROVED.

New Package CVS Request
=======================
Package Name: perl-Crypt-GeneratePassword
Short Description: Generate secure random pronounceable passwords
Owners: nigelj
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes



Comment 3 Kevin Fenzi 2008-06-23 15:42:42 UTC
cvs done.

Comment 4 Fedora Update System 2008-06-26 12:08:19 UTC
perl-Crypt-GeneratePassword-0.03-12.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-06-26 12:22:58 UTC
perl-Crypt-GeneratePassword-0.03-12.fc8 has been submitted as an update for Fedora 8

Comment 6 Fedora Update System 2008-06-27 19:34:44 UTC
perl-Crypt-GeneratePassword-0.03-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-06-27 19:38:01 UTC
perl-Crypt-GeneratePassword-0.03-12.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-26 05:56:13 UTC
perl-Crypt-GeneratePassword-0.03-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Miroslav Suchý 2008-12-03 12:18:57 UTC
*** Bug 466879 has been marked as a duplicate of this bug. ***

Comment 10 Miroslav Suchý 2014-08-27 09:25:03 UTC
Package Change Request
======================
Package Name: perl-Crypt-GeneratePassword
New Branches: epel7
Owners: msuchy

Comment 11 Gwyn Ciesla 2014-08-27 10:17:26 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.